%define __libtoolize    /bin/true
Name:    soundtracker
Version: 1.0.4
Release: %mkrel 1
Summary: Sound module composer/player
License:   GPLv2+
Group:   Sound
Packager:  Agent Smith <ruidobranco@yahoo.com.br>
URL:       http://www.soundtracker.org/
Source0:   %{name}-%{version}.tar.xz


BuildRequires: autoconf
BuildRequires: gcc
BuildRequires: lib64gtk+2.0_0-devel >= 2.24
BuildRequires: lib64sndfile-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64SDL-devel

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format. The user interface makes use of GTK2.

%prep
%setup -q


%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install
%find_lang soundtracker

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f soundtracker.lang

%doc AUTHORS FAQ NEWS README TODO COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}_convert_config
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.*
%{_datadir}/%{name}/extensions/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}-icon.png


%changelog

* Thu Feb 29 2024 Agent Smith <ruidobranco@yahoo.com.br>  - 1.0.4-1pclos2024
- Updated the package soundtracker, with the latest sources.

* Thu Dec 01 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 1.0.3-1pclos2021
- Updated the package soundtracker, with the latest sources.


* Thu Jul 29 2021 Agent Smith <ruidobranco@yahoo.com.br>  - 1.0.2.1-1pclos2021
- Updated the package soundtracker, with the latest sources.
- Removed patch

* Tue Jul 06 2021 tex - 1.0.1-2pclos2021
- add missing rpmgroup Sound
- use configure2_5x

